# IBM Visualization Data Explorer User's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### Replace

Category

Structuring

Function

Replaces a component in a field or inserts a value list as a component.

Syntax

    out = Replace(srcfield, dstfield, srcname, dstname);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`srcfield` | field or value list | none | the field containing the replacement component
`dstfield` | field | none | the field in which the replacement component is to be placed
`srcname` | string | "data" | the component of `srcfield` that is to be placed in `dstname`
`dstname` | string | "data" | the new name of the replacement component

Outputs

Name | Type | Description
--- | --- | ---
`out` | field | `dstfield` with component from `srcfield`

Functional Details

If `srcfield` is a field: the module puts the specified replacement component (`srcname`) from `srcfield` into `dstfield` and gives it a new component name (`dstname`).
If `srcfield` is a value list: the module inserts `srcfield` into `dstfield` as the `dstname` component (`srcname` is ignored).
If `dstfield` is a group: the hierarchy of `srcfield` must match exactly.

Components

All components of `dstfield` are propagated to the output. The `srcname` component of `srcfield` replaces or is added as the `dstname` component in the output.

Example Visual Programs

    AlternateVisualizations.net
    Imide_potential.net
    UsingStreakline.net

See Also

Extract, Mark, Rename, Unmark

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]